input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill,
textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
select:-webkit-autofill,
select:-webkit-autofill:hover,
select:-webkit-autofill:focus {
    -webkit-text-fill-color : color(secondary);
    -webkit-box-shadow      : 0 0 0 1000px color(light) inset;
    transition              : background-color 5000s ease-in-out 0s;
    background              : -webkit-linear-gradient(top, rgba(255, 255, 255, 0) 0%, rgba(0, 174, 255, 0.04) 50%, rgba(255, 255, 255, 0) 51%, rgba(0, 174, 255, 0.03) 100%);
}

input {
    &:active,
    &:hover,
    &:focus {
        outline        : 0;
        outline-offset : 0;
        font-weight    : 200;
    }
}

input::-webkit-input-placeholder {
    opacity    : 1;
    transition : opacity .5s ease;
}

input::-moz-placeholder {
    opacity    : 1;
    transition : opacity .5s ease;
}

input:-moz-placeholder {
    opacity    : 1;
    transition : opacity .5s ease;
}

input:-ms-input-placeholder {
    opacity    : 1;
    transition : opacity .5s ease;
}

input:focus::-webkit-input-placeholder {
    opacity    : 0;
    transition : opacity .5s ease;
}

input:focus::-moz-placeholder {
    opacity    : 0;
    transition : opacity .5s ease;
}

input:focus:-moz-placeholder {
    opacity    : 0;
    transition : opacity .5s ease;
}

input:focus:-ms-input-placeholder {
    opacity    : 0;
    transition : opacity .5s ease;
}